Skip to main content

Invalidate an order

POST 

/orders/:id/actions/invalidate

Invalidate an order due to technical issues or if the client is unsure whether the transaction succeeded.

Invalidation is only possible once an order reached the completed state. While still in processing state, the order might be partially processed and no clean invalidation can be guaranteed. Invalidation is only allowed for a limited amount of time and should be executed as soon as possible after the order was created.

Once an order was invalidated, it cannot be used anymore.

Responses

Order details with the updated state

Error Codes

HTTP StatusClassCodeDescription
404not_foundentity_not_foundEntity not found
400invalid_stateorder_processingThe order is still processing and cannot be invalidated
400invalid_stateorder_invalidatedThe order has already been invalidated
400invalid_stateorder_failedThe order already failed
400invalid_stateorder_invalidation_period_expiredThe order invalidation period has expired
400invalid_stateorder_invalidation_not_supportedThe order cannot be invalidated